1. macharborguy's Avatar
    Okay, so I understand that you need Lion to use iCloud, but the extent of that "requirement" is a bit silly.

    To even use iCloud.com via a web browser requires Lion. This makes absolutely no sense to me. I am sitting on my parents computer, a Core Duo iMac, running Snow Leopard, which is still a VERY usable machine, far more than any Windows PC from the same year it was released, yet iCloud is blocked.

    I have heard rumor of a 10.6.9 update, but as of yet have not seen anything.

    Doesn't it seem just a little unfair of Apple to be supporting Windows Vista, but leave Snow Leopard users who are unable to upgrade to Lion, yet have perfectly usable and performance rich systems, out in the cold with no recourse?



    Disregard, i jumped to conclusions when the warning popped up at the start. I had thought I had got iCloud set up on my mom's iPhone 4, but the initial set up apparently didn't take, which is why the website threw out an error message.
    Last edited by macharborguy; 10-13-2011 at 01:02 PM.
    10-13-2011 12:39 PM
  2. childoftheko4n's Avatar
    Still cant use any of iClouds sync features, only access we have is through the website =/ So default programs and photo sync is completely out the window =/

    Pretty dissapointed in Apple (last i heard was 10.6.9 was a fake)
    10-13-2011 01:20 PM
  3. Ipheuria's Avatar
    It's the cost of using Apple, you can't have your cake and eat it too. Alot of people get on Windows because it supports everything legacy under the sun. So Apple is not shy at cutting things off at the end of their perceived life and moving on. So it's just the way things roll.
    10-13-2011 01:30 PM
  4. childoftheko4n's Avatar
    I disagree, and I have been with apple a long time. Atleast with equipment they just recently released that can not update to lion you would think there would be something.
    10-13-2011 01:55 PM
LINK TO POST COPIED TO CLIPBOARD